import { Component } from '@angular/core';
import {RouterLink} from "@angular/router";
import {LegalService} from "../../service/legalService";

@Component({
  selector: 'app-credits',
  standalone: true,
    imports: [
        RouterLink
    ],
  templateUrl: './credits.component.html',
  styleUrl: './credits.component.scss'
})
export class CreditsComponent {

  constructor(private legalService: LegalService) {
  }

  openPrivacyPolicyModal() {
    this.legalService.openPrivacyPolicy();
  }

  openTermsOfUseModal() {
    this.legalService.openTermsOfUse();
  }
}
